## tvtime-1.0.2 p20110131

=== debian/changelog ===
tvtime (1.0.1-2.1) experimental; urgency=low

  * Unofficial build from CVS.

 -- J. Random Hacker <jrhacker@example.com>  Wed, 21 Sep 2005 10:07:23 -0400

tvtime (1.0.1-2) unstable; urgency=low

  * Switch architecture to any, since tvtime no longer depends on i386
    assembly.
  * Add debian/watch file.

 -- Simon Law <sfllaw@debian.org>  Wed, 21 Sep 2005 10:06:30 -0400

tvtime (1.0.1-1) unstable; urgency=low

  * New upstream relase.  (Closes: Bug#313645)
    - Root no longer created $HOME/.tvtime.  (Closes: Bug#301733)
    - Corrected Australia's channel frequencies.  (Closes: Bug#308407)
    - --nowidescreen switch.  (Closes: Bug#312656)
    - Manpage fixes.  (Closes: Bug#323541, #323542)
    - Builds with GCC 4.0.  (Closes: Bug#325345)
  * Updated copyright information.  (Closes: Bug#295914)
  * We no longer need a .desktop entry in /usr/share/applnk/Multimedia.
    (Closes: Bug#285384)
  * Fixed encoding problem with German translation.  (Closes: Bug#313891)
    Thanks to Jens Seidel <jensseidel@users.sf.net>
  * Added a Czech translation of the Debconf templates.  (Closes: Bug#321739)
    Thanks to Jan Outrata <outrataj@upcase.inf.upol.cz>
  * Added a Vietnamese Debconf translation.  (Closes: Bug#322392)
    Thanks to Clytie Siddall <clytie@riverland.net.au>
  * Don't suggest libdscaler, since it's no longer required.
  * Build-Depend on fontforge.

 -- Simon Law <sfllaw@debian.org>  Wed, 07 Sep 2005 19:38:49 -0400

tvtime (0.9.15-1) unstable; urgency=low

  * New upstream release.  (Closes: Bug#276844)
    - Control the soundcard's mixer.  (Closes: Bug#231614)
  * Add a Turkish translation of the Debconf templates.  (Closes: Bug#249125)
    Thanks to Recai Oktas <roktas@omu.edu.tr>
  * Add a German translation of the Debconf templates.
    (Closes: Bug#254696, #267128,
    Thanks to Helge Kreutzmann <kreutzm@itp.uni-hannover.de>

 -- Simon Law <sfllaw@debian.org>  Tue, 16 Nov 2004 20:35:50 -0500

tvtime (0.9.12-2) unstable; urgency=medium

  * Add a Japanese translation of the debconf templates.  (Closes: Bug#224165)
    Thanks to Hideki Yamane <henrich@samba.gr.jp>

 -- Simon Law <sfllaw@debian.org>  Tue, 13 Jan 2004 18:00:36 -0500

tvtime (0.9.12-1) unstable; urgency=low

  * New upstream release
    - xmga mode has been removed.  (Closes: Bug#216474)
    - Wine is disabled on non-X86 systems.  (Closes: Bug#213334)
  * Switch to Architecture: any.
  * FTBFS: Fix kernel-header error in wine/ldt_keeper.c.
    (Closes: Bug#221094)
  * Fix Debconf script so it doesn't emit Perl warnings.
  * Actually put our .desktop entry into /usr/share/applnk/Multimedia

 -- Simon Law <sfllaw@debian.org>  Sat, 29 Nov 2003 19:29:47 -0500

tvtime (0.9.10-9) unstable; urgency=low

  * Use strict POSIX shell functions in the postinst, for people with
    minimal shells.  (Closes: Bug#219818)

 -- Simon Law <sfllaw@debian.org>  Sun, 09 Nov 2003 12:41:13 -0500

tvtime (0.9.10-8) unstable; urgency=low

  * Switch to gettext-based debconf templates.  (Closes: Bug#217271)
    Thanks to Michel Grentzinger <mic.grentz@online.fr>
  * Add a French translation of the debconf templates.  (Closes: Bug#217272)
    Also thanks to Michel.

 -- Simon Law <sfllaw@debian.org>  Fri, 24 Oct 2003 10:22:55 -0400

tvtime (0.9.10-7) unstable; urgency=low

  * Add the website information to the description.
  * Switch to DebHelper 4.

 -- Simon Law <sfllaw@debian.org>  Sat, 11 Oct 2003 20:13:16 -0400

tvtime (0.9.10-6) unstable; urgency=low

  * Suggest libdscaler.  (Closes: Bug#213512)

 -- Simon Law <sfllaw@debian.org>  Sat, 04 Oct 2003 16:36:10 -0400

tvtime (0.9.10-5) unstable; urgency=low

  * Put our .desktop entry into /usr/share/applnk/Multimedia

 -- Simon Law <sfllaw@debian.org>  Sat, 20 Sep 2003 07:52:35 -0400

tvtime (0.9.10-4) unstable; urgency=low

  * Depend: ucf so that the postinst works.  (Closes: Bug#211330)

 -- Simon Law <sfllaw@debian.org>  Wed, 17 Sep 2003 01:19:33 -0400

tvtime (0.9.10-3) unstable; urgency=low

  * Bump standards version to 3.5.10.
  * Recommend xmltv-util, since people might want to take advantage of
    the TV listings integration.
  * Switch to Architecture: i386, since Wine only builds on i386.

 -- Simon Law <sfllaw@debian.org>  Tue, 16 Sep 2003 11:23:30 -0400

tvtime (0.9.10-2) unstable; urgency=low

  * Fix the "download tvtime!" link in the HTML documentation.

 -- Simon Law <sfllaw@debian.org>  Mon, 15 Sep 2003 20:59:04 -0400

tvtime (0.9.10-1) unstable; urgency=low

  * Initial upload.  (Closes: Bug#171480)
  * Patched to support DESTDIR.
  * Patched to add an XPM icon for the X11 menu.
  * Add more recent HTML documentation.

 -- Simon Law <sfllaw@debian.org>  Mon, 15 Sep 2003 14:47:58 -0400
