=== debian/control ===
Source: tvtime
Section: x11
Priority: optional
Maintainer: Simon Law <sfllaw@debian.org>
Build-Depends: debhelper (>= 4.1.16), zlib1g-dev, libpng-dev, libfreetype6-dev, xlibs-dev, libxml2-dev, fontforge
Standards-Version: 3.6.2

Package: tvtime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ttf-freefont, ucf
Recommends: xmltv-util
Suggests: lirc-x
Description: A high quality television application
 tvtime is a high quality television application for use with video 
 capture cards.  tvtime processes the input from a capture card and 
 displays it on a computer monitor or projector.  Unlike other 
 television applications, tvtime focuses on high visual quality making 
 it ideal for videophiles.
 .
 tvtime supports:
  * Deinterlaced output at a full interlaced rate of 59.94 frames per
    second for NTSC source, or 50 frames per second for PAL sources.
    This gives smoothness of motion and high visual quality.
  * Multiple deinterlacing algoritms for finding the optimal mode for
    your video content and available processor speed.
  * 16:9 aspect ratio mode for the highest available resolution when 
    processing input from an external DVD player or digital satellite 
    receiver.
  * A super-slick on-screen-display for the complete television
    experience, with a featureful menu system.
  * 2-3 Pulldown detection for optimal quality viewing of film content
    from NTSC sources.
 .
 You can find more information at http://tvtime.net/
