=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

http://tvtime.sourceforge.net/downloads.php http://prdownloads.sourceforge.net/tvtime/tvtime-([\d\.]*).tar.gz\?download
